Subject: Re: bug#69835: Fwd: Eldoc drastically increases CPU usage after update

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Mar 2024 08:07:09 +0200

> Date: Sat, 16 Mar 2024 17:08:05 -0700 (PDT)
> From: Noah Friedman <[email-masked]>
> 
> Please mark original sender as the reporter. Thanks.

I don't know what that means in practice, sorry.  Michael, can you
help?

> From: Alexander Prähauser <[email-masked]>
> To: Noah Friedman <[email-masked]>
> Date: Feb 13, 2024 08:57:32
> Subject: Eldoc drastically increases CPU usage after update
> 
> After I recently (within a week) updated my system and Emacs, I noticed that Emacs was a
> lot slower and needed more power than previously. I deactivated all
> minor modes and re-activated them one after the other, and found that
> editing speed decreased drastically when I re-activated Eldoc mode.
> Emacs version returns
> 
> GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, cairo version 1.18.0) of 2024-02-08
> 
> My system is Arch with the newest updates. Please let me know if I can do anything to help with debugging.

Please tell what was the previous HEAD against which you measure the
performance.  The latest change in eldoc.el was on Feb 23 and was
related to obarray changes; I find it hard to believe that change
could have had such an effect.  The change before that was on Jan 20.
Both are outside of the "within a week" period you seem to be
referring to.

A recipe to reproduce the problem starting from "emacs -Q" would be
nice.